Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 595220 - Review Request: buildnumber-maven-plugin - Build Number Maven Plugin
Review Request: buildnumber-maven-plugin - Build Number Maven Plugin
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-24 02:18 EDT by Weinan Li
Modified: 2010-09-01 17:26 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-28 04:06:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
akurtako: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Weinan Li 2010-05-24 02:18:48 EDT
Spec URL: http://www.box.net/shared/qnycafarr6
SRPM URL:
http://www.box.net/shared/kvluffq1lt

Description: This mojo is designed to get a unique build number for each time you build your project.

Note: 
- this needs to be built in the dist-f14-maven221 koji tag. Here is a
successful koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2204918
- 'install' goal was disabled from 'integration-test' with a patch, because we need newer version of maven.
- 'maven-scm-provider-svnjava' is removed from dependency because we don't have it yet.
Comment 1 Alexander Kurtakov 2010-05-25 10:30:58 EDT
Things to be fixed:
buildnumber-maven-plugin-javadoc.noarch: W: invalid-license The MIT License
buildnumber-maven-plugin-javadoc.noarch: W: dangling-relative-symlink /usr/share/javadoc/buildnumber-maven-plugin buildnumber-maven-plugin-1.0
buildnumber-maven-plugin.noarch: W: incoherent-version-in-changelog 1.0-beta-4-1 ['1.0-0.1.beta4.fc13', '1.0-0.1.beta4']

javadoc subpackage is missing requires on jpackage-utils

main package is missing standart requires:
Requires:       jpackage-utils

Requires(post):       jpackage-utils
Requires(postun):     jpackage-utils

Requires:       java

global should be used instead of define
Comment 2 Weinan Li 2010-05-26 01:16:59 EDT
Sorry the last link is incorrect. It does not contains necessary patches and depmap.

This one is correct and checked with rpmlint:

Package URL: http://weli.fedorapeople.org/packages/fedora-14/bmp/

Spec URL:
http://weli.fedorapeople.org/packages/fedora-14/bmp/buildnumber-maven-plugin.spec

SRPM URL:
http://weli.fedorapeople.org/packages/fedora-14/bmp/buildnumber-maven-plugin-1.0-0.1.b4.src.rpm

Description: This mojo is designed to get a unique build number for each time
you build your project.

Note: 
- this needs to be built in the dist-f14-maven221 koji tag. Here is a
successful koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2209827
- 'install' goal is disabled from 'integration-test' with a patch, because we
need newer version of maven.
- 'maven-scm-provider-svnjava' is removed from dependency because we don't have
it yet.
Comment 3 Alexander Kurtakov 2010-05-26 02:41:40 EDT
This is still not fixed:

javadoc subpackage is missing requires on jpackage-utils

And when you change something you should add a changelog entry.
Comment 4 Weinan Li 2010-05-26 05:20:35 EDT
- Add requires on jpackage-utils for javadoc subpackage
- Add standard jpackage-utils requires on main package
- Use global instead of define
- Fix license to MIT
- Fix incoherent-version-in-changelog

Spec URL:
http://weli.fedorapeople.org/packages/fedora-14/bmp/buildnumber-maven-plugin.spec

SRPM URL:
http://weli.fedorapeople.org/packages/fedora-14/bmp/buildnumber-maven-plugin-1.0-0.2.b4.src.rpm

Note:
- This needs to be built in the dist-f14-maven221 koji tag. Here is a
successful koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2210229
Comment 5 Alexander Kurtakov 2010-05-26 07:54:13 EDT
Review:

FIXIT: rpmlint must be run on every package. Output:
buildnumber-maven-plugin.noarch: W: spelling-error %description -l en_US mojo -> moo, mono, Tojo
buildnumber-maven-plugin.noarch: W: spelling-error %description -l en_US scm -> cm, scam, scum
buildnumber-maven-plugin.noarch: W: spelling-error %description -l en_US svn -> sen, sin, son
buildnumber-maven-plugin.noarch: W: spelling-error %description -l en_US metadata -> meta data, meta-data, metatarsus
buildnumber-maven-plugin.noarch: W: spelling-error %description -l en_US timestamp -> time stamp, time-stamp, times tamp
buildnumber-maven-plugin.noarch: W: no-documentation
buildnumber-maven-plugin.noarch: W: non-conffile-in-etc /etc/maven/fragments/buildnumber-maven-plugin
Not a problem.

buildnumber-maven-plugin-javadoc.noarch: W: dangling-relative-symlink /usr/share/javadoc/buildnumber-maven-plugin buildnumber-maven-plugin-1.0
Should be fixed. 

OK: The package must be named according to the Package Naming Guidelines .
OK: The spec file name must match the base package %{name}, in the format
%{name}.spec unless your package has an exemption. 
OK: The package must meet the Packaging Guidelines .
OK: The package must be licensed with a Fedora approved license and meet the
Licensing Guidelines .
OK: The License field in the package spec file must match the actual license.
OK: If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package must be included in %doc.
OK: The spec file must be written in American English. 
OK: The spec file for the package MUST be legible. 
OK: The sources used to build the package must match the upstream source, as
provided in the spec URL. 
OK: The package MUST successfully compile and build into binary rpms on at
least one primary architecture. 
OK: All build dependencies must be listed in BuildRequires, except for any that
are listed in the exceptions section of the Packaging Guidelines ; inclusion of
those as BuildRequires is optional. Apply common sense.
OK: Packages must NOT bundle copies of system libraries.
OK: A package must own all directories that it creates. If it does not create a
directory that it uses, then it should require a package which does create that
directory. 
OK: A Fedora package must not list a file more than once in the spec file's
%files listings. 
OK: Permissions on files must be set properly. Executables should be set
with executable permissions, for example. Every %files section must include a
%defattr(...) line. 
OK: Each package must consistently use macros. 
OK: The package must contain code, or permissable content. 
OK: Large documentation files must go in a -doc subpackage. 
OK: If a package includes something as %doc, it must not affect the runtime of
the application. 
OK: Packages must not own files or directories already owned by other
packages. 
OK: All filenames in rpm packages must be valid UTF-8. 

Are you sure that you have all the Requires needed? E.g is svnkit,jna and etc. a build time dependency only?
Comment 6 Weinan Li 2010-05-27 03:45:24 EDT
- Fix javadoc dangling-relative-symlink
- No more requires needed (E.g no svnkit, jna needed) for Requires section after analyzing the project dependencies with JBoss Taletattle.

Spec URL:
http://weli.fedorapeople.org/packages/fedora-14/bmp/buildnumber-maven-plugin.spec

SRPM URL:
http://weli.fedorapeople.org/packages/fedora-14/bmp/buildnumber-maven-plugin-1.0-0.3.b4.src.rpm

Note:
- This needs to be built in the dist-f14-maven221 koji tag. Here is a
successful koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2212137
Comment 7 Alexander Kurtakov 2010-05-27 03:56:07 EDT
License.txt and Readme.txt should be added as %doc
Comment 8 Weinan Li 2010-05-27 05:15:14 EDT
- License.txt and Readme.txt added as %doc    

Spec URL:
http://weli.fedorapeople.org/packages/fedora-14/bmp/buildnumber-maven-plugin.spec

SRPM URL:
http://weli.fedorapeople.org/packages/fedora-14/bmp/buildnumber-maven-plugin-1.0-0.4.b4.src.rpm

Note:
- This needs to be built in the dist-f14-maven221 koji tag. Here is a
successful koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2212209
Comment 9 Alexander Kurtakov 2010-05-27 05:27:09 EDT
Looks good.

This package is APPROVED.
Comment 10 Weinan Li 2010-05-27 06:00:06 EDT
New Package CVS Request
=======================
Package Name: buildnumber-maven-plugin
Short Description: This mojo is designed to get a unique build number for each time you build your project.
Owners: weli
Branches:
InitialCC: akurtakov
Comment 11 Dennis Gilmore 2010-05-27 18:52:11 EDT
CVS Done
Comment 12 Alexander Kurtakov 2010-05-28 04:06:40 EDT
Build in koji.
http://koji.fedoraproject.org/koji/buildinfo?buildID=175426
Comment 13 Orion Poplawski 2010-09-01 17:26:12 EDT
Could we get a F14 build done?  Thanks!
Comment 14 Orion Poplawski 2010-09-01 17:26:56 EDT
Sorry, that was a f14 build - scratch that.

Note You need to log in before you can comment on or make changes to this bug.